Subject: bug#19175: 24.4; make-frame-on-display fails if emacs started with -nw

From: Mario Becroft <[email-masked]>
Date: Sun, 29 Mar 2015 21:52:03 +1300

"Jan D." <[email-masked]> writes:

> Hi.
>
>> 29 mar 2015 kl. 05:42 skrev Mario Becroft <[email-masked]>:
>> 
>> Perhaps it depends on the configuration, such as which toolkit is used
>> etc. I compile mine with X, but without external toolkits. In this case,
>> my configure command was as follows:
>> 
>> ./configure --without-toolkit-scroll-bars --with-x
>> --with-x-toolkit=lucid --without-xft
>
> No, it is a signal race.  Apparently XOpenDisplay does not retry when
> interrupted by a signal, SIGIO in this case.
> Blocking SIGIO at the appropriate locations fixes it.
>
> Is the fix too late for the 24-branch?

I wasn't implying knowledge about the cause of the problem, which I have
not investigated myself, only additional information in case it is
relevant. It would be fantastic to see a fix.

Then there are other X-related bugs I have reported, but if the
connection to the server can at least be made, this would be a step
forward.

-- 
Mario Becroft <[email-masked]>       t: @MarioBecroft
p: +64-9-974-9244  m: +64-21-038-5178  w: http://www.becroft.co.nz/